 
#include <stdint.h>
#include "stm32f1xx.h"

// delay loop for default 8MHz clock with optimizer enabled
void delay(uint16_t msec)
{
    for (uint32_t j=0; j<2000*msec; j++)
    {
        __NOP ();
    }
}

int main(void)
{
    // Enable Port A and C
    SET_BIT(RCC->APB2ENR, RCC_APB2ENR_IOPCEN);

    // PA5 and PC13 = Output
    MODIFY_REG(GPIOC->CRH, GPIO_CRH_CNF13 + GPIO_CRH_MODE13, GPIO_CRH_MODE13_0);

    while(1)
    {
        // Set PA5 and PC13 to HIGH
        WRITE_REG(GPIOC->BSRR, GPIO_BSRR_BS13);
        delay(500);

        // Reset PA5 and PC13 to LOW
        WRITE_REG(GPIOC->BSRR, GPIO_BSRR_BR13);
        delay(500);
    }
}
